Subject: RE: question about pgcc-2.95-cygwin-v-1.tar.gz
From: "Suhaib Siddiqi" <[email-masked]>
To: "David Case" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Thu, 4 Nov 1999 12:36:46 -0500

First of all the /cygwin/usr/local on URL is wrong.
/cygwin/usr should be fine.  That is where I have it installed.

I canot help with ILLEGAL_INSTRUCTION... unless I know what exactly
you did and what exactly crashed???

I have it installed and compiled XFree86 3.9.16c DEV SnapShots plus
OpenDX 4.0.9, all works just fine for me and a bunch of other
applications from B20.1 I migrated to Cygwin 1.0 using
pgcc-2.95.2... Since I am not a GCC expert, therefore I HAVE a
warning on my URL that
YOU WILL BE BETTER OFF WITH MUMIT KHAN'S GCC distributions.....
Make sure gcc from pgcc do not pick headers from gcc-cygwin-19xxxx.
PGCC I compiled for myself, it works for my work, I put it there to
share but absolutely unsupoorted.

Suhaib

BTW, if you downloaded PGCC 2.95.2 on Monday, then you need to
download it again.  I updated binaries yesterday, because gcc.exe in
first binary distribution of pgcc for cygwin v 1.0 had problems.

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of David Case
> Sent: Thursday, November 04, 1999 12:14 PM
> To: [email-masked]
> Subject: question about pgcc-2.95-cygwin-v-1.tar.gz
>
>
>
> Hello:
>
> I have Cygwin v1, and downloaded
> pgcc-2.95.2-cygwin-v-1.tar.gz from
> http://siddiqi.webjump.com.  I don't quite understand the
> suggested
> installation instructions:
>
> "I recommend installing in /cygwin/usr/local, instead of
> overwriting Code
> Fusion Compiler which ships with Cygwin v 1.0.  Unpack the
> pgcc-2.95.2-cygwin-v-1.tar.gz will give a /usr/local
> directory, move it to
> /cygwin install directory and add /cygwin/usr/local/bin
> to your PATH. " --
>
> The tar file has a directory structure with
> cygwin/usr/{i686-cygwin,include,info,man}.  So the
> statement "unpack ...
> will give a /usr/local directory"  doesn't seem to apply.
>  The execuables
> are in cygwin/i686-cygwin/bin, and I don't quite see what
> directory moves
> to make to turn that into /usr/local/bin (and still keep
> all other relative
> paths OK.)
>
> If I unpack under C:\ (i.e. /cygdrive/c), and add
> /usr/i686-cygwin/bin
> to my PATH, many things seem to work, although I still must add
> -I/usr/i686-cygwin/include to find standard headers.  My
> only mount is
> to map C:\cygwin to /, as done by the cygwin installation
> script.  Are
> you using other mount points to help find the correct files?
>
> What doesn't work are *some* C programs that work fine
> under all other
> compilers I've tried (cygwin-v1, gcc-2.95 for b20.1, many
> many Unices,
> etc.);  these trap with an Exception:
> STATUS_ILLEGAL_INSTRUCTION message,
> while many other similar programs run correctly.  I know
> you can't help with
> such little info, but maybe if I get the installation
> correct, other
> problems will go away....
>
> ...thanks....dac
>
> p.s. We use openDX a lot, on both Windows and Unix.
> Thanks for your efforts
> on that!
>
> --
>
> ==================================================================
> David A. Case                     |  e-mail:      [email-masked]
> Dept. of Molecular Biology, TPC15 |  fax:          +1-858-784-8896
> The Scripps Research Institute    |  phone:        +1-858-784-9768
> 10550 N. Torrey Pines Rd.         |  WWW:
> La Jolla CA 92037  USA            |    http://www.scripps.edu/case
> ==================================================================
>
>
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
>

--
Want to unsubscribe from this list?
Send a message to [email-masked]